{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ADR_CIVILITE; 
            externalType = VARCHAR2; 
            name = adrCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_NOM; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_ORDRE_PARENT; 
            externalType = NUMBER; 
            name = adrOrdreParent; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_ORDRE_SCOL; 
            externalType = NUMBER; 
            name = adrOrdreScol; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_PRENOM; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_NOM_MARITAL; 
            externalType = VARCHAR2; 
            name = etudNomMarital; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdipAbreviation; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_MENTION; 
            externalType = VARCHAR2; 
            name = fdipMention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDIP_SPECIALITE; 
            externalType = VARCHAR2; 
            name = fdipSpecialite; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FDOM_CODE; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = FGRA_CODE; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_LIBELLE; 
            externalType = VARCHAR2; 
            name = fspnLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = HIST_ANNEE_SCOL; 
            externalType = NUMBER; 
            name = histAnneeScol; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = HIST_NUMERO; 
            externalType = NUMBER; 
            name = histNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_ANNEE_SUIVIE; 
            externalType = NUMBER; 
            name = idiplAnneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_DATE_DEMISSION; 
            externalType = DATE; 
            name = idiplDateDemission; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_DATE_INSC; 
            externalType = DATE; 
            name = idiplDateInsc; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_TYPE_INSCRIPTION; 
            externalType = NUMBER; 
            name = idiplTypeInscription; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IETUD_KEY; 
            externalType = NUMBER; 
            name = ietudKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MENT_KEY; 
            externalType = NUMBER; 
            name = mentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = RES_CODE; 
            externalType = VARCHAR2; 
            name = resCode; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (mentKey, etudNumero, fannKey); 
    className = EOGenericRecord; 
    classProperties = (
        mentKey, 
        etudNumero, 
        histNumero, 
        idiplNumero, 
        fannKey, 
        histAnneeScol, 
        adrCivilite, 
        adrNom, 
        adrPrenom, 
        etudNomMarital, 
        fdomCode, 
        fspnKey, 
        idiplAnneeSuivie, 
        fdipCode, 
        fgraCode, 
        fdipMention, 
        fdipSpecialite, 
        fdipAbreviation, 
        fspnLibelle, 
        idiplTypeInscription, 
        idiplDateInsc, 
        resCode, 
        idiplDateDemission, 
        ietudKey, 
        adrOrdreScol, 
        adrOrdreParent
    ); 
    externalName = V_SCOL_MASQUE_ETUDIANTS_EDITES; 
    fetchSpecificationDictionary = {}; 
    name = VScolMasqueEtudiantsEdites; 
    primaryKeyAttributes = (etudNumero, fannKey, mentKey); 
}
